package com.pj.tb_goods_demand;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import com.pj.current.satoken.StpUserUtil;
import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: tb_goods_demand -- 二级收购商需求发布表
 * @author yzs 
 */
@RestController
@RequestMapping("/TbGoodsDemand/")
public class TbGoodsDemandController {

	/** 底层 Service 对象 */
	@Autowired
	TbGoodsDemandService tbGoodsDemandService;

	/** 增 */  
	@RequestMapping("add")
//	@SaCheckPermission(TbGoodsDemand.PERMISSION_CODE_ADD)
	public AjaxJson add(TbGoodsDemand t){
		tbGoodsDemandService.add(t);
		t = tbGoodsDemandService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(t);
	}

	/** 删 */  
	@RequestMapping("delete")
//	@SaCheckPermission(TbGoodsDemand.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 tbGoodsDemandService.delete(id);
		return AjaxJson.getSuccess();
	}
	
	/** 删 - 根据id列表 */  
	@RequestMapping("deleteByIds")
//	@SaCheckPermission(TbGoodsDemand.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class); 
		int line = SP.publicMapper.deleteByIds(TbGoodsDemand.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}
	
	/** 改 */  
	@RequestMapping("update")
//	@SaCheckPermission(TbGoodsDemand.PERMISSION_CODE_EDIT)
	public AjaxJson update(TbGoodsDemand t){
		tbGoodsDemandService.update(t);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */  
	@RequestMapping("getById")
//		@SaCheckPermission(TbGoodsDemand.PERMISSION_CODE)
	public AjaxJson getById(Long id){
		TbGoodsDemand t = tbGoodsDemandService.getById(id);
		return AjaxJson.getSuccessData(t);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	@RequestMapping("getList")
//		@SaCheckPermission(TbGoodsDemand.PERMISSION_CODE)
	public AjaxJson getList() { 
		SoMap so = SoMap.getRequestSoMap();
		List<TbGoodsDemand> list = tbGoodsDemandService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}
	
	
	
	

	
	
	

}
